### Signal

# Gio SocketListener::event

since: 2.46

#### Declaration

    void
    event (
      GSocketListener* self,
      GSocketListenerEvent event,
      GSocket* socket,
      gpointer user_data
    )

#### Description [src]

Emitted when `listener`‘s activity on `socket` changes state. Note that when `listener` is used to listen on both IPv4 and IPv6, a separate set of signals will be emitted for each, and the order they happen in is undefined.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.46

#### Parameters

`event`

  Type: `GSocketListenerEvent`

  The event that is occurring.

`socket`

  Type: `GSocket`

  The `GSocket` the event is occurring on.

  The data is owned by the caller of the function.